6.0.0-git
2021-01-19

[#14103] underscore removed in address book and task list name
Summary underscore removed in address book and task list name
Queue Horde Base
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners
Requester lukas.weiss (at) raiffeisen (dot) it
Created 2015-09-08 (1960 days ago)
Due
Updated 2015-09-17 (1951 days ago)
Assigned
Resolved 2015-09-17 (1951 days ago)
Milestone 5.2.8
Patch No

History
2015-09-17 19:43:10 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 6be096e997f9d953274dc89c0564bafba766d3c5
Author: Jan Schneider <jan@horde.org>
Date:   Thu Sep 17 21:42:45 2015 +0200

     [jan] Don't apply access keys to checkbox and radiobox rows in 
the sidebar (Bug #14103).

  horde/docs/CHANGES |    2 ++
  horde/package.xml  |    2 ++
  2 files changed, 4 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/6be096e997f9d953274dc89c0564bafba766d3c5
2015-09-17 19:43:07 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 25b60c84de5578455254865331d285a6cd764780
Author: Jan Schneider <jan@horde.org>
Date:   Thu Sep 17 21:40:45 2015 +0200

     Don't apply access keys to checkbox and radiobox rows in the 
sidebar (Bug #14103).

  horde/lib/View/Sidebar.php |   20 +++++++++++++-------
  1 files changed, 13 insertions(+), 7 deletions(-)

http://github.com/horde/horde/commit/25b60c84de5578455254865331d285a6cd764780
2015-09-17 19:42:52 Jan Schneider State ⇒ Resolved
Milestone ⇒ 5.2.8
 
2015-09-17 19:41:35 Jan Schneider Version ⇒ Git master
Queue ⇒ Horde Base
 
2015-09-17 19:41:32 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 3c30959e08a1c9dd53b3dfa41cc2e9012cfb219a
Author: Jan Schneider <jan@horde.org>
Date:   Thu Sep 17 21:40:45 2015 +0200

     Don't apply access keys to checkbox and radiobox rows in the 
sidebar (Bug #14103).

  horde/lib/View/Sidebar.php |   20 +++++++++++++-------
  1 files changed, 13 insertions(+), 7 deletions(-)

http://github.com/horde/horde/commit/3c30959e08a1c9dd53b3dfa41cc2e9012cfb219a
2015-09-08 06:32:56 lukas (dot) weiss (at) raiffeisen (dot) it Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ underscore removed in address book and task list name
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
when using an underscore in the address book name or task list name, 
the underscore is removed because of the access key parsing. the 
default name of an address book is "Adressbuch von foo_bar@domain.com
and here the underscore is removed from the e-mail address. i think 
these names should not be parsed for access keys.

Saved Queries